Skip to main content
GET
/
api
/
v3
/
store
/
orders
/
{order_id}
/
shipments
/
{id}
Get a shipment
const options = {
  method: 'GET',
  headers: {'x-spree-api-key': '<api-key>', Authorization: 'Bearer <token>'}
};

fetch('http://{defaultHost}/api/v3/store/orders/{order_id}/shipments/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "id": "ship_UkLWZg9DAJ",
  "number": "H66940748259",
  "state": "pending",
  "tracking": "U10000",
  "tracking_url": null,
  "cost": "100.0",
  "display_cost": "$100.00",
  "shipped_at": null,
  "created_at": "2026-03-05T20:52:41.395Z",
  "updated_at": "2026-03-05T20:52:41.412Z",
  "shipping_method": {
    "id": "shpm_UkLWZg9DAJ",
    "name": "UPS Ground",
    "code": "UPS_GROUND"
  },
  "stock_location": {
    "id": "sloc_UkLWZg9DAJ",
    "state_abbr": "STATE_ABBR_298",
    "name": "Dyan Bernhard",
    "address1": "1600 Pennsylvania Ave NW",
    "city": "Washington",
    "zipcode": "20500",
    "country_iso": "US",
    "country_name": "United States of America",
    "state_text": "STATE_ABBR_298"
  },
  "shipping_rates": [
    {
      "id": "shpr_UkLWZg9DAJ",
      "shipping_method_id": "shpm_UkLWZg9DAJ",
      "name": "UPS Ground",
      "selected": true,
      "cost": "100.0",
      "display_cost": "$100.00",
      "shipping_method": {
        "id": "shpm_UkLWZg9DAJ",
        "name": "UPS Ground",
        "code": "UPS_GROUND"
      }
    }
  ]
}

Authorizations

x-spree-api-key
string
header
required

Publishable API key for store access

Authorization
string
header
required

JWT token for authenticated customers

Headers

x-spree-api-key
string
required
Authorization
string
x-spree-order-token
string

Order token for guest access

Path Parameters

order_id
string
required
id
string
required

Shipment ID

Query Parameters

expand
string

Expand shipping_rates

Response

shipment found

id
string
required
number
string
required
state
string
required
tracking
string | null
required
tracking_url
string | null
required
cost
string
required
display_cost
string
required
shipped_at
string | null
required
created_at
string
required
updated_at
string
required
shipping_method
object
required
stock_location
object
required
shipping_rates
object[]
required